バンドル販売商品
POST
/webhook-bundle-products
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/webhook-bundle-products';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"contractId":"string","event":"string","action":"created","ids":[{"productBundleGroupId":"1","productBundleId":"10"},{"productBundleGroupId":"1","productBundleId":"11"}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/webhook-bundle-products \ --header 'Content-Type: application/json' \ --data '{ "contractId": "string", "event": "string", "action": "created", "ids": [ { "productBundleGroupId": "1", "productBundleId": "10" }, { "productBundleGroupId": "1", "productBundleId": "11" } ] }'Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Smaregi-Event
string
イベント名 pos:bundle-products
Request Body
Section titled “Request Body”Media typeapplication/json
object
contractId
契約ID
string
event
イベント
string
action
アクション
- created: 登録
- deleted: 削除
string
ids
Array<object>
object
productBundleGroupId
商品バンドルグループID
string
productBundleId
商品バンドル明細ID
string
Example
{ "contractId": "string", "event": "string", "action": "created", "ids": [ { "productBundleGroupId": "1", "productBundleId": "10" }, { "productBundleGroupId": "1", "productBundleId": "11" } ]}